For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounts

get

Lists Bitcoin Cash accounts associated with the provided authorization token.

Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Responses
200

A promise that resolves to a BitcoinCashAPIResponse containing an array of AccountResponse objects.

application/json
successbooleanRequired
messagestringRequired
get/bitcoincash/accounts
GET /bitcoincash/accounts HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to a BitcoinCashAPIResponse containing an array of AccountResponse objects.

{
  "success": true,
  "message": "text",
  "data": {
    "keys": [
      "text"
    ],
    "address": "text",
    "private_key": "text",
    "public_key": "text",
    "data": {
      "keys": [
        "text"
      ],
      "address": "text",
      "private_key": "text",
      "public_key": "text"
    }
  }
}
post

Creates a new Bitcoin Cash account.

Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The input data required to create a Bitcoin Cash account.
networkstringOptional

The network on which the transaction is taking place.

private_keystringOptional

The private key of the account.

Responses
200

A promise that resolves to a BitcoinCashAPIResponse containing the account response.

application/json
successbooleanRequired
messagestringRequired
post/bitcoincash/accounts
POST /bitcoincash/accounts HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "network": "text",
  "private_key": "text"
}
200

A promise that resolves to a BitcoinCashAPIResponse containing the account response.

{
  "success": true,
  "message": "text",
  "data": {
    "keys": [
      "text"
    ],
    "address": "text",
    "private_key": "text",
    "public_key": "text",
    "data": {
      "keys": [
        "text"
      ],
      "address": "text",
      "private_key": "text",
      "public_key": "text"
    }
  }
}
get

Reads the account information for a given account name.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to read.
Header parameters
AuthorizationstringRequired
  • The authorization token for the request.
Responses
200

A promise that resolves to a BitcoinCashAPIResponse containing the account information.

application/json
successbooleanRequired
messagestringRequired
get/bitcoincash/accounts/{accountName}
GET /bitcoincash/accounts/{accountName} HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to a BitcoinCashAPIResponse containing the account information.

{
  "success": true,
  "message": "text",
  "data": {
    "keys": [
      "text"
    ],
    "address": "text",
    "private_key": "text",
    "public_key": "text",
    "data": {
      "keys": [
        "text"
      ],
      "address": "text",
      "private_key": "text",
      "public_key": "text"
    }
  }
}